package com.eactive.eai.common.b2bextractor;

import java.io.Serializable;

public class B2BExtractVO implements Serializable {
	private String eaiSvcCd; // EAI 서비스명 : TSEAIFR06.EAISvcName
	private int svcPssSeq; // 서비스처리번호[TSEAIFR06.SvcPrcssNo]
	private String routeActionName; // RouteAction Class : TSEAIFR06.routeActionName
	private String adapterActionName; // AdapterAction Class : TSEAIFR06.adapterActionName

	public B2BExtractVO(String eaiSvcCd, int svcPssSeq, String routeActionName, String adapterActionName) {
		this.eaiSvcCd = eaiSvcCd;
		this.svcPssSeq = svcPssSeq;
		this.routeActionName = routeActionName;
		this.adapterActionName = adapterActionName;
	}

	public void setEaiSvcCd(String eaiSvcCd) {
		this.eaiSvcCd = eaiSvcCd;
	}

	public String getEaiSvcCd() {
		return this.eaiSvcCd;
	}

	public String getAdapterActionName() {
		return adapterActionName;
	}

	public void setAdapterActionName(String adapterActionName) {
		this.adapterActionName = adapterActionName;
	}

	public String getRouteActionName() {
		return routeActionName;
	}

	public void setRouteActionName(String routeActionName) {
		this.routeActionName = routeActionName;
	}

	public int getSvcPssSeq() {
		return svcPssSeq;
	}

	public void setSvcPssSeq(int svcPssSeq) {
		this.svcPssSeq = svcPssSeq;
	}
}
